<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/Fatigue.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d31/_fatigue_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Fatigue.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d31/_fatigue_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d85/class_fatigue_mdfr.html">FatigueMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#af887f19ae257708a84fac3f1fc6c7305">    3</a></span>    <span class="keyword">private</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#af887f19ae257708a84fac3f1fc6c7305">m_Time</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a3e289396a73e738a9b8233b49de3c241">    4</a></span>    <span class="keyword">private</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#a3e289396a73e738a9b8233b49de3c241">m_NextEvent</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a37f83603026d419667574f6026311060">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#a37f83603026d419667574f6026311060">FATIGUE_EVENT_INTERVAL_MIN</a> = 5;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a383f692ad52a1233801a3bd97c78409b">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#a383f692ad52a1233801a3bd97c78409b">FATIGUE_EVENT_INTERVAL_MAX</a> = 12;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#ad33a5cc11febb95aa8d2576772f5e78d">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#ad33a5cc11febb95aa8d2576772f5e78d">STAMINA_RECOVERY_MULTIPLIER</a> = 0.33;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a475a80b0c5947cc62788bc4581e4b69b">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d85/class_fatigue_mdfr.html#a475a80b0c5947cc62788bc4581e4b69b">STAMINA_DEPLETION_MULTIPLIER</a> = 1.33;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a8617118c1ae4b68707ce457c6bda9f1c">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#a8617118c1ae4b68707ce457c6bda9f1c">Init</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_FATIGUE;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#af38d7a2ebcfdc86567caa51ca9d70458">DEFAULT_TICK_TIME_INACTIVE_LONG</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#afe1ceebd531f12508ea5101fd0b555a6">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#afe1ceebd531f12508ea5101fd0b555a6">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> (player.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_WOUND_INFECTION1) || player.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_POISONING) || player.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_WOUND_INFECTION2));</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a0425db9178a4dce100d9c3f633d3a4a0">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#a0425db9178a4dce100d9c3f633d3a4a0">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span>( player.m_NotifiersManager ) </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            player.m_NotifiersManager.ActivateByType(<a class="code hl_enumeration" href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a>.NTF_FEVERISH);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        player.GetStaminaHandler().ActivateRecoveryModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.FATIGUE);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        player.GetStaminaHandler().ActivateDepletionModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.FATIGUE);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#ac680a45bc94f0a01d844419028082fe5">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#ac680a45bc94f0a01d844419028082fe5">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        this.<a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(player);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a7a09c7bb9822ec652ecba8f9a4029891">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#a7a09c7bb9822ec652ecba8f9a4029891">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="comment">//player.GetStaminaHandler().SetDepletionMultiplier(1);</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        player.GetStaminaHandler().DeactivateRecoveryModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.FATIGUE);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        player.GetStaminaHandler().DeactivateDepletionModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.FATIGUE);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#a60522b754ce435caedee32f585da0231">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#a60522b754ce435caedee32f585da0231">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span>  !<a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#afe1ceebd531f12508ea5101fd0b555a6">ActivateCondition</a>(player);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/d85/class_fatigue_mdfr.html#ac52ca3acf10e225852454b14cb5e627b">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d85/class_fatigue_mdfr.html#ac52ca3acf10e225852454b14cb5e627b">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_af38d7a2ebcfdc86567caa51ca9d70458"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#af38d7a2ebcfdc86567caa51ca9d70458">DEFAULT_TICK_TIME_INACTIVE_LONG</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE_LONG</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00034">ModifiersManager.c:34</a></div></div>
<div class="ttc" id="a_notifiers_manager_8c_html_a3687963b70e03873b68004412de2fe78"><div class="ttname"><a href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a></div><div class="ttdeci">eNotifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/_notifiers_manager_8c_source.html#l00001">NotifiersManager.c:2</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a1d00c144634198eca6b5833e07a05c7c"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a></div><div class="ttdeci">EStaminaMultiplierTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00001">StaminaHandler.c:2</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html">FatigueMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00001">Fatigue.c:2</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a0425db9178a4dce100d9c3f633d3a4a0"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a0425db9178a4dce100d9c3f633d3a4a0">FatigueMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00024">Fatigue.c:24</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a37f83603026d419667574f6026311060"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a37f83603026d419667574f6026311060">FatigueMdfr::FATIGUE_EVENT_INTERVAL_MIN</a></div><div class="ttdeci">static const float FATIGUE_EVENT_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00006">Fatigue.c:6</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a383f692ad52a1233801a3bd97c78409b"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a383f692ad52a1233801a3bd97c78409b">FatigueMdfr::FATIGUE_EVENT_INTERVAL_MAX</a></div><div class="ttdeci">static const float FATIGUE_EVENT_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00007">Fatigue.c:7</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a3e289396a73e738a9b8233b49de3c241"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a3e289396a73e738a9b8233b49de3c241">FatigueMdfr::m_NextEvent</a></div><div class="ttdeci">private float m_NextEvent</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00004">Fatigue.c:4</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a475a80b0c5947cc62788bc4581e4b69b"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a475a80b0c5947cc62788bc4581e4b69b">FatigueMdfr::STAMINA_DEPLETION_MULTIPLIER</a></div><div class="ttdeci">static const float STAMINA_DEPLETION_MULTIPLIER</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00009">Fatigue.c:9</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a60522b754ce435caedee32f585da0231"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a60522b754ce435caedee32f585da0231">FatigueMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00050">Fatigue.c:50</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a7a09c7bb9822ec652ecba8f9a4029891"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a7a09c7bb9822ec652ecba8f9a4029891">FatigueMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00042">Fatigue.c:42</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_a8617118c1ae4b68707ce457c6bda9f1c"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#a8617118c1ae4b68707ce457c6bda9f1c">FatigueMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00011">Fatigue.c:11</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_ac52ca3acf10e225852454b14cb5e627b"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#ac52ca3acf10e225852454b14cb5e627b">FatigueMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00055">Fatigue.c:55</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_ac680a45bc94f0a01d844419028082fe5"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#ac680a45bc94f0a01d844419028082fe5">FatigueMdfr::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00036">Fatigue.c:36</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_ad33a5cc11febb95aa8d2576772f5e78d"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#ad33a5cc11febb95aa8d2576772f5e78d">FatigueMdfr::STAMINA_RECOVERY_MULTIPLIER</a></div><div class="ttdeci">static const float STAMINA_RECOVERY_MULTIPLIER</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00008">Fatigue.c:8</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_af887f19ae257708a84fac3f1fc6c7305"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#af887f19ae257708a84fac3f1fc6c7305">FatigueMdfr::m_Time</a></div><div class="ttdeci">private float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00003">Fatigue.c:3</a></div></div>
<div class="ttc" id="aclass_fatigue_mdfr_html_afe1ceebd531f12508ea5101fd0b555a6"><div class="ttname"><a href="../../d3/d85/class_fatigue_mdfr.html#afe1ceebd531f12508ea5101fd0b555a6">FatigueMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_fatigue_8c_source.html#l00019">Fatigue.c:19</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01024">human.c:1086</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_af5a0bbd16f1deac0f80732119cbe418.html">conditions</a></li><li class="navelem"><a class="el" href="../../d1/d31/_fatigue_8c.html">Fatigue.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
